Macaulay2 » Documentation
Packages » HolonomicSystems » AppellF1
next | previous | forward | backward | up | index | toc

# AppellF1 -- Appell F1 system of PDE's

- Usage:
    `AppellF1 {a0,a1,a2,a3}`
- Inputs:
  - a list,
- Optional inputs:
  - Vars => ..., default value Global
- Outputs:
  - an ideal, which represents Appell F1 system of PDE's associated to the parameters a0, a1, a2, and a3.

## Description

    i1 : w = {1,4/5,-2,3/2}

             4      3
    o1 = {1, -, -2, -}
             5      2

    o1 : List

    i2 : I = AppellF1 w

                   3  2    2           2  2               14 2     4
    o2 = ideal (- x Dx  - x y*Dx*Dy + x Dx  + x*y*Dx*Dy - --x Dx - -x*y*Dy +
                                                           5       5
         ------------------------------------------------------------------------
         3       4        2         3  2                2  2             3
         -x*Dx - -x, - x*y Dx*Dy - y Dy  + x*y*Dx*Dy + y Dy  + 2x*y*Dx + -y*Dy +
         2       5                                                       2
         ------------------------------------------------------------------------
                                       4
         2y, x*Dx*Dy - y*Dx*Dy + 2Dx + -Dy)
                                       5

    o2 : Ideal of QQ[x, y, Dx, Dy]

## Caveat

AppellF1 always returns a different ring and will use variables x and y. Input should be a List of 4 numbers.

## See also

- gkz -- create the A-hypergeometric system of Gelfand, Kapranov and Zelevinsky (GKZ)

## Ways to use AppellF1:

- `AppellF1(List)`

## For the programmer

The object AppellF1 is a method function with options.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/HolonomicSystems/DOC/Dsystems.m2:103:0.